summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-04-14 23:27:35 +0200
committerPacho Ramos <pacho@gentoo.org>2018-04-14 23:38:51 +0200
commit0f7b666e897d218029a937910817710f3f2151a2 (patch)
treea1f86b5dc25145034a5afad3b9641bd35bc958ec /games-puzzle/arrows
parentgames-puzzle/amoebax: Drop old (diff)
downloadgentoo-0f7b666e897d218029a937910817710f3f2151a2.tar.gz
gentoo-0f7b666e897d218029a937910817710f3f2151a2.tar.bz2
gentoo-0f7b666e897d218029a937910817710f3f2151a2.zip
games-puzzle/arrows: Stop using games.eclass
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'games-puzzle/arrows')
-rw-r--r--games-puzzle/arrows/arrows-0.6-r1.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/games-puzzle/arrows/arrows-0.6-r1.ebuild b/games-puzzle/arrows/arrows-0.6-r1.ebuild
new file mode 100644
index 00000000000..5e3b5c6834b
--- /dev/null
+++ b/games-puzzle/arrows/arrows-0.6-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Simple maze-like game where you navigate around and destroy arrows"
+HOMEPAGE="http://noreason.ca/?file=software"
+SRC_URI="http://noreason.ca/data/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=x11-libs/gtk+-2.4:2"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+
+ # Modify path to data
+ sed -i \
+ -e "s:arrfl:/usr/share/${PN}/arrfl:" \
+ -e 's:nm\[9:nm[35:' \
+ -e 's:nm\[6:nm[30:' \
+ -e 's:nm\[7:nm[31:' \
+ game.c \
+ || die 'sed failed'
+ sed -i \
+ -e '/^CC /d' \
+ -e '/CCLIBS/s:$: $(LDFLAGS):' \
+ Makefile \
+ || die 'sed failed'
+}
+
+src_compile() {
+ make clean || die "make clean failed"
+ emake CCOPTS="${CFLAGS}"
+}
+
+src_install() {
+ dobin arrows
+ insinto "/usr/share/${PN}"
+ doins arrfl*
+ einstalldocs
+}